var $AdfDhtmlGoButtonPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfRichUIPeer$$, "AdfDhtmlGoButtonPeer");
$goog$exportSymbol$$("AdfDhtmlGoButtonPeer", $AdfDhtmlGoButtonPeer$$);
$AdfDhtmlGoButtonPeer$$.$InitSubclass$ = function $$AdfDhtmlGoButtonPeer$$$$InitSubclass$$() {
  $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfUIInputEvent$$.$CLICK_EVENT_TYPE$);
  $AdfRichUIPeer$$.$addComponentPropertyChanges$(this, AdfRichGoButton.TEXT);
  $AdfRichUIPeer$$.$addComponentPropertyGetters$(this, AdfRichGoButton.TEXT);
};
$goog$exportSymbol$$("AdfDhtmlGoButtonPeer.InitSubclass", $AdfDhtmlGoButtonPeer$$.$InitSubclass$);
$AdfDhtmlGoButtonPeer$$.prototype.$HandleComponentClick$ = function $$AdfDhtmlGoButtonPeer$$$$$HandleComponentClick$$($componentEvent$$203$$) {
  var $component$$1132$$ = this.$getComponent$(), $target$$125$$ = this.$getDomElement$().getAttribute("data-afr-target");
  $AdfNavigationUtils$$.$performGetNavigation$($component$$1132$$, $componentEvent$$203$$, $target$$125$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlGoButtonPeer.prototype.HandleComponentClick", {$HandleComponentClick$:$AdfDhtmlGoButtonPeer$$.prototype.$HandleComponentClick$});
$AdfDhtmlGoButtonPeer$$.prototype.$GetInlineEditor$ = function $$AdfDhtmlGoButtonPeer$$$$$GetInlineEditor$$() {
  return $AdfDhtmlButtonTextEditor$$.$getInlineEditor$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlGoButtonPeer.prototype.GetInlineEditor", {$GetInlineEditor$:$AdfDhtmlGoButtonPeer$$.prototype.$GetInlineEditor$});
$AdfDhtmlGoButtonPeer$$.prototype.$GetAccessibleName$ = function $$AdfDhtmlGoButtonPeer$$$$$GetAccessibleName$$() {
  return this.$getComponent$().getText();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlGoButtonPeer.prototype.GetAccessibleName", {$GetAccessibleName$:$AdfDhtmlGoButtonPeer$$.prototype.$GetAccessibleName$});
$AdfDhtmlGoButtonPeer$$.prototype.$GetComponentText$ = function $$AdfDhtmlGoButtonPeer$$$$$GetComponentText$$($component$$1134$$, $domElement$$215$$) {
  var $text$$31$$ = $AdfAgent$$.$AGENT$.$getTextContent$($domElement$$215$$);
  return "" == $text$$31$$ ? null : $text$$31$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlGoButtonPeer.prototype.GetComponentText", {$GetComponentText$:$AdfDhtmlGoButtonPeer$$.prototype.$GetComponentText$});
$AdfDhtmlGoButtonPeer$$.prototype.$ComponentTextChanged$ = function $$AdfDhtmlGoButtonPeer$$$$$ComponentTextChanged$$($component$$1135$$, $domElement$$216_textWrapperElement$$4$$, $newValue$$66$$) {
  return ($domElement$$216_textWrapperElement$$4$$ = $AdfDhtmlCommandButtonPeer$$.$getInlineEditableTextElement$($component$$1135$$, $domElement$$216_textWrapperElement$$4$$)) ? $AdfDomUtils$$.$handleTextChangeWithAccessKey$($component$$1135$$, $domElement$$216_textWrapperElement$$4$$, $newValue$$66$$) : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlGoButtonPeer.prototype.ComponentTextChanged", {$ComponentTextChanged$:$AdfDhtmlGoButtonPeer$$.prototype.$ComponentTextChanged$});
